IndexControl

# Название

рус.: Управление индексной картинкой

Компонент IndexControl

## Связи

### Входящие связи

InUniversal
  Связь для получения данных от управляющих компонентов (сенсоры, кнопки...)
IndexControl
  Связь для получения данных от компонента IndexImage.

### Исходящие связи

OutComponent
  Связь для передачи данных другим компонентам (предикаты, кнопки...)
OutIndexView
  Связь для передачи данных компоненту IndexImage

## Свойства

IndexProperties
  Свойство управления индексной картинкой. Имеет собственную панель управления с набором свойств.

## Вкладка "События от компонентов"

От какого компонента
  Имя компонента, которым осуществляется управление. Значение: выбирается из списка (Чтобы компонента отобразился в списке надо создать связь от компонента к IndexControl).
Параметр
  Значение, при получение которого от компонента указанного в поле "От какого компонента" будет происходить действие. Значение: строка (Напр.: true).
Что делать с собой
  Указывается действие, которое должно происходить при получение указанного значения от указанного компонента. Значение: Действие выбирается из списка, цвет выбирается из палитр RGB или HSB, прозрачность задается целым числом.
Параметр
  Область (одного цвета), которая должна изменить цвет. Значение: выбирается инструментом "пипетка" на изображение, которое было указано в качестве параметра IndexImageFile.

## Вкладка "События от пользователя"

Какое событие происходит
  Событие, по которому происходит действие. Значение: выбирается из списка.
В какой области.
  Облась (одного цвета), в которой должно произойти действие. Значение: выбирается инструментом "пипетка" на изображение, которое было указано в качестве параметра IndexImageFile.
Что сделать с собой
  Указывается действие, которое должно происходить при получение указанного значения от указанного компонента. Значение: Действие выбирается из списка, цвет выбирается из палитр RGB или HSB, прозрачность задается целым числом.
Параметр
  Область (одного цвета), которая должна изменить цвет. Значение: выбирается инструментом "пипетка" на изображение, которое было указано в качестве параметра IndexImageFile.
Какому объекту передать
  Имя компонента, которым осуществляется управление. Значение: выбирается из списка (Чтобы компонента отобразился в списке надо создать связь от компонента к IndexControl).
Параметр
  Значение, которое будет передано компоненту, который указан в свойстве "Какому объекту передать".

## Пример использования

См. пример IndexImage.
Последнее изменение: 16.01.2009